Eclipse Juno ADT Plugin NDK caminho removido ?

? UnTraDe @ | Original: StackOverFlow
---

Não consigo encontrar a opção de definir o caminho NDK em Eclipse Juno com o plugin ADT. ( Eu baixei ontem o Bundle ADT a partir do site Android) .

Todo mundo diz que eu deveria encontrá-lo em Windows - > Preferências -> Android - > NDK mas a opção NDK sob Android simplesmente não existe. Talvez eles mudaram sua localização na versão recente? De qualquer forma eu não consigo encontrar uma maneira de mudar o caminho NDK no meu Eclipse.

imagem :  Eclipse Juno ADT Plugin NDK caminho removido?

Estou me sentindo como se eu estivesse faltando alguma coisa realmente óbvio aqui ...

---

Top 5 Responder

1user1667823 @

você precisa re- instalar o ADT-23.0.4.zip ( Não se esqueça de selecionar as ferramentas de desenvolvimento nativo Android );  http://developer.android.com/sdk/installing/installing-adt.html#Troubleshooting .

You should:

Download ADT-23.0.4.zip. Just re-install. Restart. You will see Eclipse > Window > Android > NDK tag. 2Gabo @

Eu tive o mesmo problema, eu não sei porque, mas os problemas é com a versão Eclipse / Juno, assim que eu baixar na página do eclipse o Kepler versión e instale o pluggin de ADT, E tudo funciona muito bem.

3frihatt @

Eu enfrentei o mesmo problema. Era irritante para desperdiçar aquelas poucas horas, mas eu acho que eu percebi isso . O que fiz foi ,

Agarrou o arquivo com.android.ide.eclipse.ndk_22.3.0.v201310242005-887826.jar a partir da instalação ADT mais velho que eu tinha, que mostrou a opção NDK da pasta eclipseplugins .

Renomeou para com.android.ide.eclipse.ndk_23.0.2.1259578.jar .

Colado em adt-bundle-windows-x86_64-20140702eclipseplugins

Restarted Eclipse.

Hi NDK!

Espero que isso não irá causar quaisquer problemas no futuro !

4tryer3000 @

Corrigir o problema por instalar " Ferramentas de Desenvolvimento "

A partir de Eclipse - > Ajuda - > Instalar Novo Software ... ->

selecione: " Android Developer Tools Site de Atualização - https://dl.google.com/android/eclipse/ "

desmarque a opção " Fale todos os sites de atualização durante a instalação para encontrar o software necessário " opção

verificar e instalar "Ferramentas de Desenvolvimento "

5tangobravo @

Eu tive esse problema com o mais recente Eclipse Luna eo plugin ADT - descobriu-se, apesar de tanto o CDT e Android ferramentas nativas para desenvolvedores de plugins que está sendo instalado no Eclipse Luna eles não estavam funcionando.

A causa foi que eu estava usando o da Apple Java 1.6 (que é Java 6), e Luna " exige " a Java 7 VM. Nenhuma advertência foram fornecidos embora! Para resolvê-lo eu instalei o mais recente JDK da Oracle, e depois atualizou o arquivo eclipse.ini dentro do pacote Eclipse.app, acrescentando as duas linhas:

-vm
/Library/Java/JavaVirtualMachines/jdk1.8.0_25.jdk/Contents/Home/bin/java

pouco antes da linha que é -vmargs .

Então, quando eu reiniciei Eclipse, o CDT foi corretamente sendo usado Eclipse -> Preferences... listou algumas configurações C ++ que antes não eram lá, ea seção Android teve uma entrada NDK a permissão para especificar o caminho .